Update plannerPlan
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Update the properties of a plannerPlan object.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | Tasks.ReadWrite, Group.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | Not supported. |
HTTP request
PATCH /planner/plans/{plan-id}
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
| If-Match | Last known ETag value for the plannerPlan to be updated. Required. |
Request body
In the request body, supply the values for relevant fields to update. Existing properties that are not included in the request body will maintain their previous values or be recalculated based on changes to other property values. For best performance, don't include existing values that haven't changed.
| Property | Type | Description |
|---|---|---|
| title | String | Title of the plan. |
Response
If successful, this method returns 204 No Content response and empty content. If the request specifies Prefer header with return=representation preference, then this method returns a 200 OK response code and an updated plannerPlan object in the response body.
This method can return any of the HTTP status codes. The most common errors that apps should handle for this method are the 400, 403, 404, 409, and 412 responses. For more information about these errors, see Common Planner error conditions.
Example
Request
Here is an example of the request.
PATCH https://graph.microsoft.com/beta/planner/plans/{id}
Content-type: application/json
Prefer: return=representation
If-Match: W/"JzEtVGFzayAgQEBAQEBAQEBAQEBAQEBAWCc="
{
"title": "title-value"
}
Response
Here is an example of the response.
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-type: application/json
{
"createdBy": {
"application": {
"id": "95e27074-6c4a-447a-aa24-9d718a0b86fa"
},
"user": {
"id": "ebf3b108-5234-4e22-b93d-656d7dae5874"
}
},
"createdDateTime": "2015-03-30T18:36:49.2407981Z",
"container": {
"@odata.type": "microsoft.graph.plannerPlanContainer",
"url": "https://graph.microsoft.com/beta/groups/ebf3b108-5234-4e22-b93d-656d7dae5874",
"containerId": "ebf3b108-5234-4e22-b93d-656d7dae5874",
"type": "group"
},
"title": "title-value",
"id": "xqQg5FS2LkCp935s-FIFm2QAFkHM"
}
Feedback
Submit and view feedback for